Message Queue, v4.5.1 API Specification

## com.sun.messaging.jms.management.server
Class DestinationType

    java.lang.Object
      com.sun.messaging.jms.management.server.DestinationType

    public class DestinationType

extends Object

Class containing information on destination types.

Field Summary
`static String` `QUEUE` Queue destination type
`static String` `TOPIC` Topic destination type

Method Summary
`static String` `toStringLabel(String type)` Returns a human readable representation of the specified destination type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUEUE

    public static final String QUEUE

  Queue destination type

  See Also:
    Constant Field Values

### TOPIC

    public static final String TOPIC

  Topic destination type

  See Also:
    Constant Field Values

Method Detail

### toStringLabel

    public static String toStringLabel(String type)

  Returns a human readable representation of the specified destination type.

  Parameters:
    `type` - Destination type
  Returns:
    String representation of the specified destination type

Message Queue, v4.5.1 API Specification

Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.